<script setup>
import { userStore } from '@/store/userInfo'
import {getCurrentInstance} from 'vue'


const { proxy } = getCurrentInstance()

const back = () =>{
  if(userStore().user){
    proxy.$router.push('/dashboard')
  }else {
    proxy.$router.push('/login')
  }
}
</script>

<template>
  <div class="bg-[#E7EAEE] h-100vh flex items-center justify-center">
    <div>
      <img class="m-auto mb-54px" src="@/assets/images/404.svg" alt="">
      <div class="text-[#505258] text-24px leading-20px text-center">
        Page not found. <span class="hover:text-[#1460F3] hover:underline cursor-pointer" @click="back">Back to home page→</span>
      </div>
    </div>
  </div>
</template>
